<?php
/**
 * The configureobjectsformqa view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang <wangzemei@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

/* featurebar */
$currentNav = 'configureObjects';
include './navs.html.php';

$objectType       = 'productAndMarket';
$configureObjects = null;
if(isset($wizard->config['configureObjects'])) $configureObjects = json_decode($wizard->config['configureObjects'], true);

$data = array();
if(isset($configureObjects['mainName']))
{
    foreach($configureObjects['mainName'] as $key => $value)
    {
        $item['mainName']    = $value;
        $item['mainMarket']  = isset($configureObjects['mainMarket'][$key]) ? $configureObjects['mainMarket'][$key] : '';
        $item['competeName'] = isset($configureObjects['competeName'][$key]) ? $configureObjects['competeName'][$key] : '';
        $data[] = $item;
    }
}

div
(
    setData(array('isAssignedObject' => isset($configureObjects['isAssignedObject']) ? $configureObjects['isAssignedObject'] : '1', 'addCompeteTips' => $lang->thinkwizard->tips->addCompete, 'addLang' => $lang->thinkwizard->add)),
    on::init()->call('initObjects'),
    on::inited()->call('toggleActionsStyleForMQA'),
    setClass('think-objects bg-canvas rounded-md'),
    div
    (
        setClass('h-12 flex items-center w-full mx-auto font-medium text-md text-gray-950'),
        setStyle(array('max-width' => 'var(--zt-panel-form-max-width)', 'min-width' => 'var(--zt-panel-form-min-width)')),
        $lang->thinkwizard->objects->title
    ),
    h::hr(),
    formBatch
    (
        setClass('scrollbar-thin scrollbar-hover overflow-y-auto'),
        setStyle(array('height' => 'calc(100vh - 215px)')),
        set::data($data),
        set::minRows(3),
        setStyle(array('max-width' => 'var(--zt-panel-form-max-width)', 'min-width' => 'var(--zt-panel-form-min-width)')),
        setClass('h-full mx-auto col think-objects-form items-stretch relative'),
        set::actions(array()),
        on::change('.form-batch-input')->call('window.changeObjects', jsRaw('this')),
        to::formBefore
        (
            formHidden('type', $objectType),
            formHidden('showCompetitors', 1),
            formGroup
            (
                setClass('bg-primary-50 rounded-sm py-3 mt-6 mb-3 px-4'),
                set::label(sprintf($lang->thinkwizard->objects->specifyObjectForMQA, $lang->thinkwizard->objects->typeList['MQA'][$objectType])),
                radioList
                (
                    set::name('isAssignedObject'),
                    set::items($lang->thinkwizard->objects->specifyObjectOptions),
                    set::value(isset($configureObjects['isAssignedObject']) ? $configureObjects['isAssignedObject'] : '1'),
                    set::inline(true),
                    on::change()->do('$(".subject-content,.form-batch-table").toggleClass("hidden", event.target.value == 0);'),
                )
            )
        ),
        formBatchItem
        (
            set::required(true),
            set::name('mainName'),
            set::label($lang->thinkwizard->objects->product),
            set::width('1/3'),
        ),
        formBatchItem
        (
            set::required(true),
            set::label($lang->thinkwizard->objects->market),
            set::name('mainMarket'),
            set::width('1/3'),
        ),
        formBatchItem
        (
            set::required(true),
            set::label($lang->thinkwizard->objects->competitiveProduct),
            set::name('competeName'),
            set::width('1/3'),
        ),
        div
        (
            setClass('pb-4 pl-px'),
            icon
            (
                setStyle('margin-top', '-4px'),
                setClass('text-warning align-middle'),
                'exclamation'
            ),
            span(setClass('text-gray ml-2'), $lang->thinkwizard->objects->desc)
        )
    ),
    div
    (
        setClass('py-3 bg-canvas flex gap-6 justify-center border-t border-gray-100 shadow'),
        btn
        (
            setStyle('width', '100px'),
            set::btnType('submit'),
            set::type('primary'),
            set::text($lang->thinkwizard->next),
            on::click()->call('submitObjects')
        )
    )
);
