<?php
/**
 * The configureparameterformqa view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Yu Zhang <zhangyu@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;
/* featurebar */
$currentNav = 'configureParameter';
include './navs.html.php';
$currentYear = date("Y");
$yearOptions = array();
$startYear   = $currentYear - 11;
$endYear     = $currentYear + 10;

$defaultTimePeriod = !empty($dimension['yAxisName']) ? '1' : '0';

for ($year = $startYear; $year <= $endYear; $year++)
{
    $yearOptions[] = array('text' => $year . $lang->thinkwizard->parameter->year, 'value' => $year, 'key' => $year);
}
$currentYearOptions = array_slice($yearOptions, 1);
div
(
    setClass('think-parameter bg-canvas rounded-md'),
    div
    (
        setClass('h-12 flex items-center w-full mx-auto font-medium text-md text-gray-950'),
        setStyle(array('max-width' => 'var(--zt-panel-form-max-width)', 'min-width' => 'var(--zt-panel-form-min-width)')),
        $lang->thinkwizard->stepNavs['MQA']['configureParameter']
    ),
    h::hr(),
    formPanel
    (
        setClass('scrollbar-thin scrollbar-hover overflow-y-auto h-full mx-auto col think-parameter-form items-stretch relative p-0'),
        setStyle(array('max-width' => 'var(--zt-panel-form-max-width)', 'min-width' => 'var(--zt-panel-form-min-width)', 'height' => 'calc(100vh - 226px)')),
        set::bodyClass('p-0'),
        set::layout('grid'),
        set::actionsClass('shadow-xl py-3'),
        set::actions(array()),
        setData('yAxisName',!empty($dimension['yAxisName']) ? $dimension['yAxisName'] : '0'),
        div
        (
            setClass('w-full flex items-center bg-primary-50 px-4 py-2.5 rounded-sm mt-6'),
            sprintf($lang->thinkwizard->parameter->guide, $wizard->name, $lang->thinkwizard->dimension->xAxisNameList[$dimension['xAxisName']], $lang->thinkwizard->dimension->yAxisNameList[$dimension['yAxisName']], $wizard->name)
        ),
        div
        (
            setClass('bg-gray-100 bg-opacity-50 rounded-sm py-3 mt-3 px-4 pb-5 w-full flex gap-8 items-center'),
            div
            (
                setClass('flex-1 leading-5'),
                div(html(sprintf($lang->thinkwizard->parameter->xAxisTitle, $lang->thinkwizard->dimension->xAxisNameList[$dimension['xAxisName']]))),
                div(setClass('text-gray-500 mt-1 text-sm'), $lang->thinkwizard->parameter->xAxisFormula[$dimension['xAxisName']]),
                div(setClass('mt-4'), html(sprintf($lang->thinkwizard->parameter->yAxisTitle, $lang->thinkwizard->dimension->yAxisNameList[$dimension['yAxisName']]))),
                div(setClass('text-gray-500 mt-1 text-sm'), $lang->thinkwizard->parameter->yAxisFormula[$dimension['yAxisName']]),
                empty($dimension['yAxisName']) ? formGroup
                (
                    setClass('w-1/2 p-0 mt-5 time-period'),
                    set::label($lang->thinkwizard->parameter->timePeriod),
                    picker
                    (
                        setClass('mt-1'),
                        set::name('timePeriod'),
                        set::required(true),
                        set::items($lang->thinkwizard->parameter->timePeriodList),
                        set::value(!empty($parameter['timePeriod']) ? $parameter['timePeriod'] : $defaultTimePeriod),
                        on::change()
                            ->const('QoY', $lang->thinkwizard->parameter->QoY)
                            ->const('YoY', $lang->thinkwizard->parameter->YoY)
                            ->const('currentYear', $lang->thinkwizard->parameter->currentYear)
                            ->const('lastYear', $lang->thinkwizard->parameter->lastYear)
                            ->const('currentQuarter', $lang->thinkwizard->parameter->currentQuarter)
                            ->const('lastYearQuarter', $lang->thinkwizard->parameter->lastYearQuarter)
                            ->do("
                                $('.YoY-title').text(event.target.value == '0' ? YoY : QoY);
                                $('.select-year').each(function()
                                {
                                    $(this).toggleClass('w-full', event.target.value == '0');
                                    $(this).toggleClass('w-1/2', event.target.value == '1');
                                });
                                $('.select-quarter').each(function(){ $(this).toggleClass('hidden', event.target.value == '0')})
                                $('.current-title').text(event.target.value == '0' ? currentYear : currentQuarter);
                                $('.last-title').text(event.target.value == '0' ? lastYear : lastYearQuarter);
                            ")
                    )
                ) : null,
                empty($dimension['yAxisName']) ? div
                (
                    setClass('mt-4 w-1/2 YoY'),
                    div(setClass('YoY-title'), empty($parameter['timePeriod']) ? $lang->thinkwizard->parameter->YoY : $lang->thinkwizard->parameter->QoY ),
                    div
                    (
                        setClass('flex mt-3 items-center'),
                        div(setClass('text-gray-500 mr-2 current-title w-20 text-right'), empty($parameter['timePeriod']) ? $lang->thinkwizard->parameter->currentYear : $lang->thinkwizard->parameter->currentQuarter),
                        div
                        (
                            setClass('flex-1 flex gap-2'),
                            formGroup
                            (
                                setClass('p-0 select-year', empty($parameter['timePeriod']) ? 'w-full' : 'w-1/2'),
                                picker
                                (
                                    set::name('YoYCurrentYear'),
                                    set::required(true),
                                    set::items($currentYearOptions),
                                    set::value(!empty($parameter['YoYCurrentYear']) ? $parameter['YoYCurrentYear'] : $currentYear),
                                    on::change()->do("$('.last-year').eq(0).zui('picker').$.setValue(event.target.value - 1);")
                                )
                            ),
                            formGroup
                            (
                                setClass('w-1/2 p-0 select-quarter', empty($parameter['timePeriod']) ? 'hidden' : ''),
                                picker
                                (
                                    set::name('YoYCurrentQuarter'),
                                    set::required(true),
                                    set::items($lang->thinkwizard->parameter->quarterList),
                                    set::value(isset($parameter['YoYCurrentQuarter']) ? $parameter['YoYCurrentQuarter'] : '0'),
                                    on::change()->do("$('.last-quarter').eq(0).zui('picker').$.setValue(event.target.value);")
                                )
                            )
                        )
                    ),
                    div
                    (
                        setClass('flex mt-3 items-center'),
                        div(setClass('text-gray-500 mr-2 last-title w-20 text-right'), empty($parameter['timePeriod']) ? $lang->thinkwizard->parameter->lastYear : $lang->thinkwizard->parameter->lastYearQuarter),
                        div
                        (
                            setClass('flex-1 flex gap-2'),
                            formGroup
                            (
                                setClass('w-1/2 p-0 select-year', empty($parameter['timePeriod']) ? 'w-full' : 'w-1/2'),
                                picker
                                (
                                    setClass('last-year'),
                                    set::name('YoYLastYear'),
                                    set::required(true),
                                    set::items($yearOptions),
                                    set::value(!empty($parameter['YoYLastYear']) ? $parameter['YoYLastYear'] : $currentYear - 1),
                                    set::readonly(true)
                                )
                            ),
                            formGroup
                            (
                                setClass('w-1/2 p-0 select-quarter', empty($parameter['timePeriod']) ? 'hidden' : ''),
                                picker
                                (
                                    setClass('last-quarter'),
                                    set::name('YoYLastQuarter'),
                                    set::required(true),
                                    set::items($lang->thinkwizard->parameter->quarterList),
                                    set::value(isset($parameter['YoYLastQuarter']) ? $parameter['YoYLastQuarter'] : '0'),
                                    set::readonly(true)
                                )
                            )
                        )
                    )
                ) :  null,
                !empty($dimension['yAxisName']) ? div
                (
                    setClass('mt-4 w-1/2 QoQ'),
                    div($lang->thinkwizard->parameter->QoQ),
                    div
                    (
                        setClass('flex mt-3 items-center'),
                        div(setClass('text-gray-500 mr-2 current-title w-20 text-right'), $lang->thinkwizard->parameter->currentQuarter),
                        div
                        (
                            setClass('flex-1 flex gap-2'),
                            formGroup
                            (
                                setClass('p-0 w-1/2'),
                                picker
                                (
                                    setClass('QoQ-current-year'),
                                    set::name('QoQCurrentYear'),
                                    set::required(true),
                                    set::items($currentYearOptions),
                                    set::value(!empty($parameter['QoQCurrentYear']) ? $parameter['QoQCurrentYear'] : $currentYear),
                                    on::change()->call('changeCurrentQuarter'),
                                )
                            ),
                            formGroup
                            (
                                setClass('w-1/2 p-0'),
                                picker
                                (
                                    setClass('QoQ-current-quarter'),
                                    set::name('QoQCurrentQuarter'),
                                    set::required(true),
                                    set::items($lang->thinkwizard->parameter->quarterList),
                                    set::value(isset($parameter['QoQCurrentQuarter']) ? $parameter['QoQCurrentQuarter'] : '0'),
                                    on::change()->call('changeCurrentQuarter'),
                                )
                            )
                        )
                    ),
                    div
                    (
                        setClass('flex mt-3 items-center'),
                        div(setClass('text-gray-500 mr-2 last-title w-20 text-right'), $lang->thinkwizard->parameter->lastQuarter),
                        div
                        (
                            setClass('flex-1 flex gap-2'),
                            formGroup
                            (
                                setClass('w-1/2 p-0 w-1/2'),
                                picker
                                (
                                    setClass('QoQ-last-year'),
                                    set::name('QoQLastYear'),
                                    set::required(true),
                                    set::items($yearOptions),
                                    set::value(!empty($parameter['QoQLastYear']) ? $parameter['QoQLastYear'] : $currentYear - 1),
                                    set::readonly(true)
                                )
                            ),
                            formGroup
                            (
                                setClass('w-1/2 p-0'),
                                picker
                                (
                                    setClass('QoQ-last-quarter'),
                                    set::name('QoQLastQuarter'),
                                    set::required(true),
                                    set::items($lang->thinkwizard->parameter->quarterList),
                                    set::value(isset($parameter['QoQLastQuarter']) ? $parameter['QoQLastQuarter'] : '3'),
                                    set::readonly(true)
                                )
                            )
                        )
                    )
                ) : null
            ),
            div(
                setClass('bg-white py-9 px-10 rounded-sm'),
                set::style(array('width' => '354px')),
                div
                (
                    setClass('relative'),
                    img(setClass('w-full ml-4 mb-4'), set::src('data/thinmory/wizardsetting/bcg/bcg.svg')),
                    div
                    (
                        setClass('x-position absolute flex flex-wrap justify-between gap-2'),
                        div(setClass('x-low'), empty($dimension['xAxisOrder']) ? $lang->thinkwizard->dimension->low : $lang->thinkwizard->dimension->height),
                        div(setClass('x-name text-clip'),set::title($lang->thinkwizard->dimension->xAxisNameList[$dimension['xAxisName']]), $lang->thinkwizard->dimension->xAxisNameList[$dimension['xAxisName']]),
                        div(setClass('x-height'), empty($dimension['xAxisOrder']) ? $lang->thinkwizard->dimension->height : $lang->thinkwizard->dimension->low)
                    ),
                    div
                    (
                        setClass('y-position absolute flex col flex-wrap justify-between gap-2 text-right leading-tight text-center'),
                        div(setClass('y-height'),  empty($dimension['yAxisOrder']) ? $lang->thinkwizard->dimension->height : $lang->thinkwizard->dimension->low),
                        div(setClass('y-name break-word'),set::title($lang->thinkwizard->dimension->yAxisNameList[$dimension['yAxisName']]), $lang->thinkwizard->dimension->yAxisNameList[$dimension['yAxisName']]),
                        div(setClass('y-low'),  empty($dimension['yAxisOrder']) ? $lang->thinkwizard->dimension->low : $lang->thinkwizard->dimension->height)
                    ),
                )
            )
        )
    ),
    div
    (
        setClass('py-3 bg-canvas flex gap-6 justify-center border-t border-gray-100 shadow'),
        btn
        (
            setStyle('width', '100px'),
            set::btnType('submit'),
            set::type('primary'),
            set::text($lang->thinkwizard->next),
            on::click()->call('submitParameter')
        )
    )
);
